<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/03/2004 *
 * ===============                              Last change: 10/03/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : birthday_confirm.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Birthday bonus confirmation link                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Geburtstagsgutschrift bestaetigen                *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init "action" and "what"
$GLOBALS['what'] = '';
$GLOBALS['action'] = '';

// Set module
$GLOBALS['module'] = 'birthday_confirm';
$GLOBALS['output_mode'] = -1;

// Load the required file(s)
require('inc/config-global.php');

// Is the 'birthday' extension active?
redirectOnUninstalledExtension('birthday');

// Is the script installed?
if (isInstalled()) {
	// Script is installed so let's check for his confirmation link...
	$uid = bigintval(REQUEST_GET('uid'));

	// Only allow numbers here...
	$chk = bigintval(REQUEST_GET('check'), false);

	// Check if link is not clicked so far
	$result = SQL_QUERY_ESC("SELECT b.points, d.gender, d.surname, d.family, d.status, d.ref_payout
FROM `{!_MYSQL_PREFIX!}_user_birthday` AS b
INNER JOIN `{!_MYSQL_PREFIX!}_user_data` AS d
ON b.userid=d.userid
WHERE b.userid=%s AND b.chk_value='%s' LIMIT 1",
	array($uid, $chk), __FILE__, __LINE__);
	//* DEBUG: */ echo "uid=".$uid.",chk=".$chk." (".strlen($chk).'/'.strlen(REQUEST_GET('check')).'/'.SQL_NUMROWS($result).")<br />\n";

	// Prepare content
	$content = array();

	// Is an entry there?
	if (SQL_NUMROWS($result) == 1) {
		// Ok, congratulation again! Here's your gift from us...
		$data = SQL_FETCHARRAY($result, false);

		// Is the account confirmed?
		if ($data['status'] == 'CONFIRMED') {
			// Set mode depending on how many mails the member has to confirm
			$locked = false;
			if (($data['ref_payout'] > 0) && (getConfig('allow_direct_pay') != 'Y')) $locked = true;

			// Add points to account
			unset($GLOBALS['ref_level']);
			ADD_POINTS_REFSYSTEM('birthday_confirm', $uid, $data['points'], false, '0', $locked, strtolower(getConfig('birthday_mode')));

			// Update mediadata if version is 0.0.4 or newer
			if (GET_EXT_VERSION('mediadata') >= '0.0.4') {
				// Update database
				MEDIA_UPDATE_ENTRY(array('total_points'), 'add', $data['points']);
			}

			// Remove entry from table
			SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{!_MYSQL_PREFIX!}_user_birthday` WHERE userid=%s AND chk_value='%s' LIMIT 1",
			array($uid, $chk), __FILE__, __LINE__);

			// "Translate" some data
			$data['gender'] = translateGender($data['gender']);
			$data['points'] = translateComma($data['points']);

			// Load message from template
			$content['msg'] = LOAD_TEMPLATE('birthday_msg', true, $data);
		} else {
			// Unconfirmed / locked accounts cannot get points
			$content['msg'] = sprintf(getMessage('BIRTHDAY_CANNOT_STATUS'), translateUserStatus($data['status']));
		}
	} else {
		// Cannot load data!
		$content['msg'] = getMessage('BIRTHDAY_CANNOT_LOAD_DATA');
	}

	// Free memory
	SQL_FREERESULT($result);

	// Set this because we have no module in URI
	$GLOBALS['module'] = 'birthday_confirm';

	// Include header
	loadIncludeOnce('inc/header.php');

	// Load birthday header template (for your banners, e.g.?)
	$content['header'] =  LOAD_TEMPLATE('birthday_header', true);

	// Load birthday footer template (for your banners, e.g.?)
	$content['footer'] =  LOAD_TEMPLATE('birthday_footer', true);

	// Load final template and output it
	LOAD_TEMPLATE('birthday_confirm', false, $content);

	// Include footer
	loadIncludeOnce('inc/footer.php');
} else {
	// You have to install first!
	redirectToUrl('install.php');
}

// Really all done here... ;-)
shutdown();

//
?>
