<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/24/2004 *
 * ================                             Last change: 08/28/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-rewrite.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Rewrites own links for search engines            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Schreibt eigene Links um fuer Suchmaschinen      *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Version number
EXT_SET_VERSION('0.1.3');

// Version history array (add more with , '0.1.0' and so on)
EXT_SET_VER_HISTORY(array('0.0', '0.0.1', '0.0.2', '0.0.3', '0.0.4', '0.0.5', '0.0.6', '0.0.7', '0.0.8', '0.0.9', '0.1.0', '0.1.1', '0.1.2', '0.1.3'));

// This extension is deprecated!
// Only since 'seo' is ready! EXT_SET_DEPRECATED('Y');

switch ($EXT_LOAD_MODE)
{
	case 'register': // Do stuff when installation is running (modules.php?module=admin&action=login is called)
		// Check if mod_rewrite is loadeded
		if (!isApacheModuleLoaded('mod_rewrite')){
			EXT_SET_REPORTS_FAILURE(true);
			addFatalMessage(__FILE__, __LINE__, getMessage('MOD_REWRITE_ERROR'));
		} // END - if

		// SQL commands to run
		ADD_EXT_SQL('');
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		ADD_EXT_SQL("DELETE LOW_PRIORITY FROM `{!_MYSQL_PREFIX!}_admin_menu` WHERE `what`='config_rewrite'");
		break;

	case 'activate': // Do stuff when admin activates this extension
		// Check if mod_rewrite is loadeded
		if (!isApacheModuleLoaded('mod_rewrite')) {
			SQL_QUERY("UPDATE `{!_MYSQL_PREFIX!}_extensions` SET `ext_active`='N' WHERE `ext_name`='rewrite' LIMIT 1", __FILE__, __LINE__);
			EXT_SET_REPORTS_FAILURE(true);
			addFatalMessage(__FILE__, __LINE__, getMessage('MOD_REWRITE_ERROR'));
	 } // END - if

	 // SQL commands to run
	 ADD_EXT_SQL('');
	 break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		ADD_EXT_SQL('');
		break;

	case 'update': // Update an extension
		switch ($EXT_VER)
		{
			case '0.0.1': // SQL queries for v0.0.1
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("Folgende Linkvariablen werden nun auch ausgetauscht: bid, mid, url, page, offset");
				break;

			case '0.0.2': // SQL queries for v0.0.2
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("Folgende Linkvariablen werden nun auch ausgetauscht: type, do=search");

			case '0.0.3': // SQL queries for v0.0.3
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("URLs zu MXChange.org ({!SERVER_URL!}) sind nun auch wieder g&uuml;ltig.");
				break;

			case '0.0.4': // SQL queries for v0.0.4
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("Folgende Linkvariablen werden nun auch ausgetausch: sub, home");
				break;

			case '0.0.5': // SQL queries for v0.0.5
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("Links im Admin- und Mitgliedsbereich werden nicht mehr umgeschrieben. Entsprechend f&auml;llt die neue .htaccess-Datei kleiner aus. Bitte anpassen!");

			case '0.0.6': // SQL queries for v0.0.6
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("Links im Frametester-Modul werden nicht mehr umgeschrieben.");
				break;

			case '0.0.7': // SQL queries for v0.0.7
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("Fehler beseitigt, wenn error_reporting=E_ALL gesetzt ist.");
				break;

			case '0.0.8': // SQL queries for v0.0.8
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("Fehler beseitigt, wenn error_reporting=E_ALL gesetzt ist.");
				break;

			case '0.0.9': // SQL queries for v0.0.9
				ADD_EXT_SQL("ALTER TABLE `{!_MYSQL_PREFIX!}_config` ADD rewrite_skip VARCHAR(255) NOT NULL DEFAULT 'login:admin:frametester:mailid'");
				ADD_EXT_SQL("INSERT INTO `{!_MYSQL_PREFIX!}_admin_menu` (`action`,`what`,`title`,`descr`,`sort`) VALUES ('setup','config_rewrite','Rewrite-Engine','Stellen Sie hier ein, welche Module &uuml;bersprungen werden sollen, in denen also kein Umschreiben des HTML-Codes stattfinden soll.', 8)");

				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("Zu &uuml;berspringende Module k&ouml;nnen per Admin-Bereich eingestellt werden.");
				break;

			case '0.1.0': // SQL queries for v0.2.1
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("W&ouml;rter <strong>Mailtausch</strong>, <strong>Mailtausches</strong> und <strong>Mailtauscher</strong> sind austauschbar.");
				break;

			case '0.1.1': // SQL queries for v0.1.1
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("HTML-Code ausgelagert in Templates und SQL-Anweisungen abgesichert.");
				break;

			case '0.1.2': // SQL queries for v0.1.2
				// Update notes (these will be set as task text!)
				EXT_SET_UPDATE_NOTES("Abspeichern von Einstellungen repariert.");
				break;
			case '0.1.3':
				// Check if mod_rewrite is loadeded
				if (!isApacheModuleLoaded('mod_rewrite')){
					EXT_SET_REPORTS_FAILURE(true);
					//addFatalMessage(__FILE__, __LINE__, getMessage('MOD_REWRITE_ERROR'));
				} // END - if
				EXT_SET_UPDATE_NOTES("Es wird beim Registrieren und aktivieren gepr&uuml;ft, ob im Apache das Modul mod_rewrite geladen wurde. Wenn mod_rewrite nicht gefunden werden konnte, wird abgebrochen.");
				break;
		}
		break;

			case 'modify': // When the extension got modified
				break;

			case 'test': // For testing purposes. For details see file inc/modules/admin/what-extensions.php, arround line 305.
				break;

			default: // Do stuff when extension is loaded
				// Check if mod_rewrite is loadeded
				if (!isApacheModuleLoaded('mod_rewrite')){
					EXT_SET_REPORTS_FAILURE(true);
					SQL_QUERY("UPDATE `{!_MYSQL_PREFIX!}_extensions` SET `ext_active`='N' WHERE `ext_name`='rewrite' LIMIT 1", __FILE__, __LINE__);
					if (!IS_ADMIN()) addFatalMessage(__FILE__, __LINE__, getMessage('MOD_REWRITE_ERROR'));
				} // END - if
				break;
}

//
?>
