<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/22/2005 *
 * ===============                              Last change: 10/22/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-beg2.php                                    *
 * -------------------------------------------------------------------- *
 * Short description : List all begging members                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle moeglichen Gewinner der Bettel-Rallye aufl. *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
} elseif (!IS_MEMBER()) {
	redirectToUrl('modules.php?module=index');
} elseif ((!EXT_IS_ACTIVE('beg')) && (!IS_ADMIN())) {
	addFatalMessage(__FILE__, __LINE__, generateExtensionInactiveMessage('beg'));
	return;
}

// Add description as navigation point
ADD_DESCR('member', __FILE__);

// Autopurge installed?
$lastOnline = "%s"; $ONLINE = '';
if (EXT_IS_ACTIVE('autopurge')) {
	// Use last online timestamp to keep inactive members away from here
	$lastOnline   = " AND `last_online` >= (UNIX_TIMESTAMP() - %s)";
	$ONLINE = getConfig('ap_inactive_since');
}

// Let's check if there are some points left we can "pay"...
$result = SQL_QUERY_ESC("SELECT userid, beg_points AS beg, last_online FROM `{!_MYSQL_PREFIX!}_user_data`
WHERE beg_points > 0 AND `status`='CONFIRMED'".$lastOnline."
ORDER BY beg_points DESC, last_online DESC, userid LIMIT %s",
array($ONLINE, getConfig('beg_ranks')), __FILE__, __LINE__);

// Reset temporary variable and check for users
$OUT = '';
if (SQL_NUMROWS($result) > 0) {
	// Load our winners...
	$SW = 2; $cnt = 1;
	while ($content = SQL_FETCHARRAY($result)) {
		// Prepare data for the template
		$content = array(
			'sw'     => $SW,
			'cnt'    => $cnt,
			'uid'    => bigintval($content['userid']),
			'points' => translateComma($content['beg']),
			'last'   => generateDateTime($content['last_online'], '2'),
		);

		// Load row template
		$OUT .= LOAD_TEMPLATE("member_list_beg_row", true, $content);

		// Count one up and switch colors
		$cnt++; $SW = 3 - $SW;
	}
} else {
	// No one is interested in our "active rallye" ! :-(
	$OUT = LOAD_TEMPLATE("member_beg_404", true);
}

// Free memory
SQL_FREERESULT($result);

// Remeber row(s) for the template
define('__BEG_ROWS', $OUT);

// Load final template
LOAD_TEMPLATE("member_list_beg");

//
?>
